## wifi-qr 0.1

=== debian/changelog ===
wifi-qr (0.1-1) unstable; urgency=medium

  * Initial upload.

 -- kokoye2007 <kokoye2007@gmail.com>  Sun, 31 May 2020 08:40:20 +0630
