## wifi-qr 0.2

=== debian/changelog ===
wifi-qr (0.2-2) unstable; urgency=medium

  * Package description update. (Closes: #989034)
  * QR Code File Scan

 -- kokoye2007 <kokoye2007@gmail.com>  Wed, 27 Apr 2022 17:11:19 +0630

wifi-qr (0.2-1) unstable; urgency=medium

  * Shellcheck and close issue #9

 -- kokoye2007 <kokoye2007@gmail.com>  Thu, 18 Jun 2020 15:36:47 +0630
