=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/tags\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/kokoye2007/wifi-qr/releases/latest .*/(\d\S+)\.tar\.gz
