## wifi-qr 0.4

=== debian/changelog ===
wifi-qr (0.4-1) unstable; urgency=medium

  * New upstream release (0.4)
  * Extend debian/source ignore patterns
    - exclude README and Screenshots
    - exclude wifi-qr.spec
  * Update debian/copyright
    - Bump copyright year to 2024
    - Add wifi-qr.metainfo.xml with CC0-1.0 license
  * Update debian/control
    - Modify dependency from zenity to "zenity | kdialog"
  * Update debian/watch
    - Update url pattern for pgp asc.

 -- kokoye2007 <kokoye2007@gmail.com>  Thu, 19 Dec 2024 01:09:13 +1100

wifi-qr (0.3-1) unstable; urgency=medium

  * New upstream release (0.3).
  * #18 Xiaomi QR code is parsed incorrectly.
  * #17 QR issue when the name and SSID differ.
  * #16 QR issue when the password has special characters.
  * #15 QR issue when the SSID has special characters.
  * #12 Password with special characters needs to be unquoted.

 -- kokoye2007 <kokoye2007@gmail.com>  Sat, 30 Sep 2023 17:30:20 +1000
