=== debian/watch ===
version=4
opts="searchmode=plain,\
uversionmangle=s/^(release|v)?\.//;s/(rc|b)/~$1/,\
pgpsigurlmangle=s/$/\.asc/" \
https://api.github.com/repos/kokoye2007/@PACKAGE@/releases \
https://github.com/kokoye2007/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
